# Holt59 - Advent Of Code

Installation (with [`poetry`](https://python-poetry.org/)):

```bash
poetry install
```

To run any day:

```bash
holt59-aoc $day
```

You can use `-v` / `--verbose` for extra outputs in some case, `-t` / `--test` to run
the code on the test data (one of the test data if multiple are present) or even
`-u XXX` / `--user XXX` to run the code on a specific input after putting the input
file under `src/holt59/aoc/inputs/XXX/$year/$day`.

Full usage:

```bash
usage: Holt59 Advent-Of-Code Runner [-h] [-v] [-t] [-u USER] [-i INPUT] [-y YEAR] day

positional arguments:
  day                   day to run

options:
  -h, --help            show this help message and exit
  -v, --verbose         verbose mode
  -t, --test            test mode
  -u USER, --user USER  user input to use
  -i INPUT, --input INPUT
                        input to use (override user and test)
  -y YEAR, --year YEAR  year to run
```
